> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive all account transactions

> Return the list of transactions for the client account



## OpenAPI

````yaml get /v1/transactions
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /v1/transactions:
    get:
      tags:
        - Transactions
      summary: Receive all account transactions
      description: Return the list of transactions for the client account
      parameters:
        - name: accountId
          in: query
          description: Account id
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: number
        - name: lastKey
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: sortOrder
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            enum:
              - ascending
              - descending
        - name: statuses
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - pending
                - on_hold_provider
                - completed
                - rejected
        - name: from
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: to
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: fee
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TransactionsData'
        '400':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400_1'
        '500':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_500_1'
      security:
        - bearerAuth: []
components:
  schemas:
    TransactionsData:
      required:
        - transactions
      type: object
      properties:
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
        lastKey:
          $ref: '#/components/schemas/TransactionsData_lastKey'
    inline_response_400_1:
      type: object
      properties:
        message:
          type: string
          description: Application error
          example: Invalid payload
    inline_response_500_1:
      type: object
      properties:
        message:
          type: string
          description: Server error
          example: Proses failed
    Transaction:
      type: object
      properties:
        accountId:
          type: string
        amlId:
          type: string
        id:
          type: string
        amlScore:
          type: string
        amlStatus:
          type: string
        amount:
          type: string
        charge:
          $ref: '#/components/schemas/Charge'
        createdAt:
          type: string
          format: date-time
        direction:
          type: string
        extAccountId:
          type: string
        extId:
          type: string
        inTransactionId:
          type: string
        outTransactionId:
          type: string
        paymentMethod:
          type: string
        provider:
          type: string
        recipient:
          $ref: '#/components/schemas/SenderRecipient'
        sender:
          $ref: '#/components/schemas/SenderRecipient'
        status:
          type: string
        updatedAt:
          type: string
          format: date-time
        fee:
          type: boolean
    TransactionsData_lastKey:
      type: object
      properties:
        accountId:
          type: string
          format: uuid
        id:
          type: string
          format: uuid
    Charge:
      type: object
      properties:
        total:
          type: string
        fee:
          type: string
        percentage:
          type: string
        flat:
          type: string
        calculator:
          type: string
        contractId:
          type: string
        amount:
          type: string
        currency:
          type: string
        revenueAccount:
          type: string
    SenderRecipient:
      type: object
      properties:
        name:
          type: string
        surname:
          type: string
        bicSwift:
          type: string
        iban:
          type: string
        type:
          type: string
          enum:
            - individual
            - company
        ukAccountNumber:
          type: string
        ukSortCode:
          type: string
        bankName:
          type: string
        street:
          type: string
        houseNumber:
          type: string
        refinement:
          type: string
        city:
          type: string
        region:
          type: string
        country:
          type: string
        postCode:
          type: string
        reference:
          type: string
        email:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````